#!/bin/sh

#
# mas-config.cpp - builds "mas-config" that can echo libraries,
#                  includes, and defines ala gtk's gtk-config.
#

show_usage()
{
    cat <<EOF
Usage: mas-config [OPTIONS]
Options:
         [--libs]
         [--cflags]
EOF
}

if [ x"$1" = x ]
then
    show_usage
    exit 1
fi


while [ x"$1" != x ]; do
    case $1 in
	--libs) shift
            echo MASLIBS
	    continue;;

	--cflags) shift
	    echo MASINC MASDEF
	    continue;;

	*)  shift
            show_usage
            exit 1
            continue;;
    esac
done

exit 0
